If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

[Flame] System notification page displays "No SIM inserted" when application storage is less than 5 MB.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::System
RESOLVED WORKSFORME
2 years ago
2 years ago

People

(Reporter: whsu, Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.0 affected, b2g-v2.0M affected, b2g-v2.1 unaffected, b2g-v2.2 unaffected, b2g-master unaffected)

Details

Attachments

(6 attachments)

(Reporter)

Description

2 years ago
Created attachment 8608641 [details]
Flame_v2dot0_NO_SIM_INSERTED.png

@ Description:
  By current design (Bug 861921), system will lock IndexedDB (read only) and enable airplane mode when application storage is less than 5 MB.
  So, the signal icon should be displayed "RESTRICTION" icon instead of "No SIM inserted" icon.
  As picture shown. (Flame_v2dot0_NO_SIM_INSERTED.png)

@ Reproduction step:
  1. Use command below to push data to device till application storage is less than 5 MB.
     $ adb push "FILE_NAME" /data/
  2. Restart the device
  3. Check the signal icon of system tray.

@ Actual result:
  1. System tray displays "No SIM inserted" icon

@ Expected result:
  1. System tray displays RESTRICTION icon.
     As "SIGNAL_RESTRICTION.png" shown.

@ Build information:
  Gaia-Rev        84898cadf28b1a1fcd03b726cff658de470282f0
  Gecko-Rev       https://hg.mozilla.org/releases/mozilla-b2g32_v2_0/rev/8e0f11605114
  Build-ID        20150519160201
  Version         32.0
  Device-Name     flame
  FW-Release      4.4.2
  FW-Incremental  eng.cltbld.20150519.192837
  FW-Date         Tue May 19 19:28:48 EDT 2015
  Bootloader      L1TC000118D0
(Reporter)

Comment 1

2 years ago
Created attachment 8608644 [details]
SIGNAL_RESTRICTION.png
(Reporter)

Updated

2 years ago
status-b2g-v2.0: --- → affected

Updated

2 years ago
Blocks: 1167167
(Reporter)

Comment 2

2 years ago
Please do a branch check to see if this bug also happens on the other branches.
(Reporter)

Updated

2 years ago
See Also: → bug 1168026

Updated

2 years ago
status-b2g-v2.0M: --- → affected
Flags: needinfo?(fan.luo)

Updated

2 years ago
Keywords: qawanted

Comment 3

2 years ago
Sorry for asking but when noticing the first screenshot and from a l10n point of view, what’s with the "\n"? No need for it?
Comment hidden (spam)
QA Whiteboard: [MGSEI-Triage+]
status-b2g-v2.1: --- → affected
status-b2g-v2.2: --- → affected
status-b2g-master: --- → affected
Flags: needinfo?(fan.luo)
Keywords: qawanted
(Reporter)

Comment 5

2 years ago
(In reply to Ton from comment #3)
> Sorry for asking but when noticing the first screenshot and from a l10n
> point of view, what’s with the "\n"? No need for it?

Sure. We need to fix this problem.
But, it only seemed to happen on v2.0 branch which has been frozen.

I suggest to treat it as low priority bug.
(Reporter)

Comment 6

2 years ago
@ Verson,
  Does the dialer basic functionality (dial out/in) work as normal when it happen?
Flags: needinfo?(xiongfuchao)
(In reply to William Hsu [:whsu] from comment #6)
> @ Verson,
>   Does the dialer basic functionality (dial out/in) work as normal when it
> happen?

Hi  William ,

I'm very sorry for I misunderstood the issue in comment 4. So I reproduced the issue without SIM card.
Now I do branch check again with SIM card, and the issue can't be reproduced, but the actual result is not same as that in comment 0.

When I fill the application storage to less than 5 MB and restart, device's the signal icon is displayed as normal and dialer's basic functionality (dial out/in) works as normal.

Reproduce rate: 0/5
See Attachment:actual.png & logcat_1710.txt

Device: Flame 2.1 (Unaffected)
Build ID               20150628001204
Gaia Revision          f8b848c82d1ed589f7a1eb5cc099830c867ff1d4
Gaia Date              2015-06-08 09:48:23
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/d3e432c4546a
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150628.033856
Firmware Date          Sun Jun 28 03:39:07 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 2.2 (Unaffected)
Build ID               20150628002505
Gaia Revision          0179935627012dfde3ca036c9a71035be463b7ad
Gaia Date              2015-06-26 21:13:44
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/35e09270da3a
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150628.035537
Firmware Date          Sun Jun 28 03:55:48 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (Unaffected)
Build ID               20150628160206
Gaia Revision          8a1e4ae522c121c5cacd39b20a5386ec9055db82
Gaia Date              2015-06-25 21:58:25
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/eaf4f9b45117
Gecko Version          41.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150628.193057
Firmware Date          Sun Jun 28 19:31:08 EDT 2015
Bootloader             L1TC000118D0

Device: N5 2.2 (Unaffected)
Build ID               20150626162505
Gaia Revision          0179935627012dfde3ca036c9a71035be463b7ad
Gaia Date              2015-06-26 21:13:44
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/330f52ef6a2d
Gecko Version          37.0
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150626.195122
Firmware Date          Fri Jun 26 19:51:42 EDT 2015
Bootloader             HHZ12f

Device: N5 3.0 (Unaffected)
Build ID               20150628160206
Gaia Revision          8a1e4ae522c121c5cacd39b20a5386ec9055db82
Gaia Date              2015-06-25 21:58:25
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/eaf4f9b45117
Gecko Version          41.0a1
Device Name            hammerhead
Firmware(Release)      5.1
Firmware(Incremental)  eng.cltbld.20150628.192615
Firmware Date          Sun Jun 28 19:26:32 EDT 2015
Bootloader             HHZ12f
Flags: needinfo?(xiongfuchao) → needinfo?(whsu)
Created attachment 8627125 [details]
actual.png
Created attachment 8627126 [details]
logcat_1710.txt
status-b2g-v2.1: affected → unaffected
status-b2g-v2.2: affected → unaffected
status-b2g-master: affected → unaffected
(Reporter)

Comment 10

2 years ago
(In reply to Verson from comment #7)
> (In reply to William Hsu [:whsu] from comment #6)
> > @ Verson,
> >   Does the dialer basic functionality (dial out/in) work as normal when it
> > happen?
> 
> Hi  William ,
> 
> I'm very sorry for I misunderstood the issue in comment 4. So I reproduced
> the issue without SIM card.
> Now I do branch check again with SIM card, and the issue can't be
> reproduced, but the actual result is not same as that in comment 0.
> 
> When I fill the application storage to less than 5 MB and restart, device's
> the signal icon is displayed as normal and dialer's basic functionality
> (dial out/in) works as normal.
> 

Got it. Thanks for the information.
Flags: needinfo?(whsu)

Comment 11

2 years ago
(In reply to William Hsu [:whsu] from comment #5)
> 
> Sure. We need to fix this problem.
> But, it only seemed to happen on v2.0 branch which has been frozen.
> 
> I suggest to treat it as low priority bug.

Thanks, I guess it’s not that vital or wouldn’t be useful.

Btw for those interested, bug 1140418 was filed to address the (lack of) sense of displaying any Usage app related notifications in the notifications screen (see attachment 8608641 [details])..

Comment 12

2 years ago
Hi Verson,
Can you also try to check whether this issue happen on Aries?
Thanks!
Flags: needinfo?(xiongfuchao)
Created attachment 8642929 [details]
Aries_v2.5.3gp

Hi Josh,
This issue can not be repro on latest build of Aries kk v2.5 by STR in comment 0.
Actually result: Device's the signal icon is displayed as normal and dialer's basic functionality (dial out/in) 
works as normal.
Reproduce rate: 0/10
See attachment: Aries_v2.5.3gp

Device: Aries KK 2.5(Unaffected)
Build ID               20150803195455
Gaia Revision          dbacf8364f4505d021b7d8fb9cabea325004dbcc
Gaia Date              2015-08-03 16:38:49
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/abc56d57f6e1
Gecko Version          42.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150803.191800
Firmware Date          Mon Aug  3 19:18:08 UTC 2015
Bootloader             s1
Flags: needinfo?(xiongfuchao) → needinfo?(jocheng)

Updated

2 years ago
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Flags: needinfo?(jocheng)
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.